Bug 880991 - CVE-2012-2252 rssh: incorrect filtering of rsync --rsh command line option [fedora-all]
CVE-2012-2252 rssh: incorrect filtering of rsync --rsh command line option [f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rssh (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2252
  Show dependency treegraph
 
Reported: 2012-11-28 06:02 EST by Tomas Hoger
Modified: 2013-01-11 19:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-11-28 06:02:42 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2012-11-28 06:02:50 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=880177,880991
Comment 2 Tomas Hoger 2012-12-10 12:54:20 EST
Patch is in bug 877279 comment 15.
Comment 3 Fedora Update System 2012-12-11 03:57:35 EST
rssh-2.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20111/rssh-2.3.4-1.fc18
Comment 4 Fedora Update System 2012-12-11 03:58:00 EST
rssh-2.3.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-20109/rssh-2.3.4-1.fc17
Comment 5 Fedora Update System 2012-12-11 04:38:00 EST
rssh-2.3.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.fc16
Comment 6 Fedora Admin XMLRPC Client 2012-12-11 05:04:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Update System 2012-12-12 03:20:28 EST
Package rssh-2.3.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rssh-2.3.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20236/rssh-2.3.4-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-19 03:34:08 EST
rssh-2.3.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-11 19:59:47 EST
rssh-2.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.